#!/usr/bin/env bash

# Clone Git repo if not existent
function gc() {
	[ -d $2 ] || git clone $1 $2
}

HS=~/.homesick

mkdir -p $HS/repos
cd $HS/repos

gc https://github.com/andsens/homeshick			homeshick
gc https://github.com/trapd00r/LS_COLORS		dircolors
gc https://github.com/bling/vim-airline			vim-airline
gc https://github.com/Shougo/neocomplete.vim		vim-neocomplete
gc https://github.com/Shougo/neosnippet.vim		vim-neosnippet
gc https://github.com/honza/vim-snippets		vim-snippets
gc https://github.com/scrooloose/syntastic		vim-syntastic
gc https://github.com/powerline/fonts			vim-powerline-fonts
gc https://github.com/editorconfig/editorconfig-vim	vim-editorconfig
gc https://github.com/tpope/vim-fugitive		vim-fugitive
gc https://github.com/tomtom/quickfixsigns_vim		vim-quickfixsigns
gc https://github.com/chriskempson/base16-xresources	base16-xresources
gc https://github.com/chriskempson/base16-vim		base16-vim
gc https://github.com/chriskempson/base16-iterm2	base16-iterm2
gc https://github.com/longld/peda			peda
gc https://github.com/cykerway/complete-alias		complete-alias
gc https://git.0l.de/stv0g/dotfiles.git			dotfiles

if [[ "$OSTYPE" == "darwin"* ]]; then
	sudo gc http://git.kernel.org/pub/scm/docs/man-pages/man-pages /opt/man-pages
fi

source $HS/repos/homeshick/homeshick.sh
source $HS/repos/homeshick/completions/homeshick-completion.bash

$HS/repos/vim-powerline-fonts/install.sh

homeshick pull
homeshick -f link
